/*
 * Copyright 2021 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kie.pmml.api.models;

import java.io.Serializable;

/**
 * User-friendly representation of an <b>Interval</b>
 */
public class Interval implements Serializable {

    private static final long serialVersionUID = -5245266051098683475L;
    private final Number leftMargin;
    private final Number rightMargin;

    public Interval(Number leftMargin, Number rightMargin) {
        this.leftMargin = leftMargin;
        this.rightMargin = rightMargin;
    }

    public Number getLeftMargin() {
        return leftMargin;
    }

    public Number getRightMargin() {
        return rightMargin;
    }
}
